#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 25. Graphical Environment Libraries

- Prev

  kColorPicker-0.3.1

- Next

  keybinder-3.0-0.3.2

- Up
- Home

# kImageAnnotator-0.7.1

## Introduction to kImageAnnotator

kImageAnnotator is a tool for annotating images.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://github.com/ksnip/kImageAnnotator/archive/v0.7.1/kImageAnnotator-0.7.1.tar.gz

- Download MD5 sum: 68990dfe7fe03f1aff5e0e5338b9f3bb

- Download size: 264 KB

- Estimated disk space required: 31 MB

- Estimated build time: 0.6 SBU (Using parallelism=4)

### kImageAnnotator Dependencies

#### Required

kcolorpicker-0.3.1

## Installation of kImageAnnotator

Install kImageAnnotator by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=/usr \
          -D CMAKE_BUILD_TYPE=Release  \
          -D BUILD_SHARED_LIBS=ON      \
          -D BUILD_WITH_QT6=ON         \
          .. &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Contents

Installed Programs: None
Installed Libraries: libkImageAnnotator.so
Installed Directories: /usr/include/kImageAnnotator-Qt6, /usr/lib/cmake/kImageAnnotator-Qt6, and /usr/share/kImageAnnotator

- Prev

  kColorPicker-0.3.1

- Next

  keybinder-3.0-0.3.2

- Up
- Home